commit:     d8bc025c5d7d0f1ebe9ecb310813a6ec918ed3a1
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 16 19:54:55 2019 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Mon Dec 16 20:14:55 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8bc025c

app-emacs/rust-mode: Version bump to 0.4.0.

Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 app-emacs/rust-mode/Manifest               |  1 +
 app-emacs/rust-mode/rust-mode-0.4.0.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/app-emacs/rust-mode/Manifest b/app-emacs/rust-mode/Manifest
index bf6e5bf65b7..d93d4751091 100644
--- a/app-emacs/rust-mode/Manifest
+++ b/app-emacs/rust-mode/Manifest
@@ -1,2 +1,3 @@
 DIST rust-mode-0.3.0_p20180221.tar.xz 37392 BLAKE2B 
185511a2096400254e141f213f2e9a84861c2aaf5f2259cab724aa929e07b2691ae6f36c5568de5d978809588271486377a194a77a066413df6ee995e9bbe54a
 SHA512 
004bd1536ab2e1e708193509a307ed47e22bf1f3dc5d84816958588e312c8bf6e75ee178cc99439ec0bd427ba02030c133bb21f96c5116b175d1d7cde89e9e6c
 DIST rust-mode-0.3.0_p20190125.tar.xz 37580 BLAKE2B 
d4d3ae9dac452ba3e2966d5036bd5f4edb4066ca65954b7f18a99c56ad6a8848fd80ef799c7c266c77a844839d87ab9641c77afc089a17e4e459fea27b6af982
 SHA512 
303d7f183006769b3fdf7a7118b36d29d785c2a29cf88ae286cb86180f84a4e50e66597d3bc984979e2509b872632d750fba96ff522081df5351d8d9511a3272
+DIST rust-mode-0.4.0.tar.gz 41774 BLAKE2B 
c0263f9fa839dcf5ee74706d8d13c10161d024114fda161dbd5235036eb322d273e8624a23f5e848e9246500d1da0c272420cb89f250f8d1852c7552eb7d0939
 SHA512 
fe0e1d667ba9595f9cbed22e0f88096508e49ffe8e3c86349cb3319eefea38a1dd86c2b55aef1415ae0cfc3b65ac6807f1863eb0e6eaa9ff49aea989a46e5edc

diff --git a/app-emacs/rust-mode/rust-mode-0.4.0.ebuild 
b/app-emacs/rust-mode/rust-mode-0.4.0.ebuild
new file mode 100644
index 00000000000..d071ded4dca
--- /dev/null
+++ b/app-emacs/rust-mode/rust-mode-0.4.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+NEED_EMACS=24
+
+inherit elisp
+
+DESCRIPTION="A major emacs mode for editing Rust source code"
+HOMEPAGE="https://github.com/rust-lang/rust-mode";
+SRC_URI="https://github.com/rust-lang/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="|| ( MIT Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+SITEFILE="50${PN}-gentoo.el"
+DOCS="README.md"
+
+src_test() {
+       ${EMACS} ${EMACSFLAGS} ${BYTECOMPFLAGS} \
+               -l rust-mode.el -l rust-mode-tests.el \
+               -f ert-run-tests-batch-and-exit || die "tests failed"
+}
+
+src_install() {
+       elisp-install ${PN} rust-mode.{el,elc}
+       elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+}

Reply via email to